fbpx
Welcome, Guest
Username: Password: Remember me
  • Page:
  • 1
  • 2

TOPIC: Error displaying the error page: [] operator not supported f

Error displaying the error page: [] operator not supported f 1 year 10 months ago #19220

  • Harvey2019
  • Harvey2019's Avatar
  • Offline
  • New Member
  • Posts: 15
  • Karma: 0
Site Info:
Joomla! Version Joomla! 3.6.2 Stable [ Noether ] 4-August-2016 23:41 GMT
PHP Version 7.2.14

Getting error:
Error displaying the error page: [] operator not supported for strings: [] operator not supported for strings

On PHP 5.6 works fine, but have to upgrade to PHP 7.2 as per ISP

How can I fix this issue and have the site working fine on PHP 7.2 now,,, and if I had to go up to Joomla 3.9.x later ???
Last Edit: 1 year 10 months ago by Harvey2019.
The administrator has disabled public write access.

Error displaying the error page: [] operator not supported f 1 year 10 months ago #19246

  • chandandeep
  • chandandeep's Avatar
  • Offline
  • Administrator
  • Posts: 4614
  • Thank you received: 652
  • Karma: 116
Hello,

Enable error reporting and share the screenshot of visible error on the screen.

Thanks,
Chandan
Thank You,
If you like our support and products, tweet us at joomdev and let the world know about it.

To know more about products check out the their documentation.
The administrator has disabled public write access.

Error displaying the error page: [] operator not supported f 1 year 10 months ago #19251

  • Harvey2019
  • Harvey2019's Avatar
  • Offline
  • New Member
  • Posts: 15
  • Karma: 0
I noticed the Rokcommon error and then updated it, so there are less errors but still ERRORS.
See attached
Attachments:
The administrator has disabled public write access.

Error displaying the error page: [] operator not supported f 1 year 10 months ago #19255

  • Harvey2019
  • Harvey2019's Avatar
  • Offline
  • New Member
  • Posts: 15
  • Karma: 0
I update Gantry too.
When using the Gantry template it shows without errors, but the JD_Atlanta template gives the errors - so the culprit.
It is jd_atlanta ver 1.2
Is there an update to this template?
The administrator has disabled public write access.

Error displaying the error page: [] operator not supported f 1 year 10 months ago #19284

  • chandandeep
  • chandandeep's Avatar
  • Offline
  • Administrator
  • Posts: 4614
  • Thank you received: 652
  • Karma: 116
You have to update the JD Atlanta template. The current version of JD Atlanta is v2.2.

Note: Take a site backup before any update.

Thanks,
Chandan
Thank You,
If you like our support and products, tweet us at joomdev and let the world know about it.

To know more about products check out the their documentation.
The administrator has disabled public write access.

Error displaying the error page: [] operator not supported f 1 year 9 months ago #19289

  • Harvey2019
  • Harvey2019's Avatar
  • Offline
  • New Member
  • Posts: 15
  • Karma: 0
I downloaded the site 2.2, but how do i update the files for the site files???
The administrator has disabled public write access.

Error displaying the error page: [] operator not supported f 1 year 9 months ago #19299

  • chandandeep
  • chandandeep's Avatar
  • Offline
  • Administrator
  • Posts: 4614
  • Thank you received: 652
  • Karma: 116
Hello,

From v2.0 series we was changed the Framework from Gantry to Helix.

You need to install the latest version on your site and set as default.

Few thing you have to do it manually.

1. Since a new framework has been added you are now required to update the module positions in the jd_atlanta layout. Though we have tried and kept the module positions same as before but if there is any custom module position you might have created then you need to add it here.
2. If you have written any Custom CSS for your previous template you need to add it now in jd_atlanta.

Note: Please take your original site backup. Install it separately and make the new changes there. When you are satisfied with all your changes then upload the backup of this site onto the live site.

Thanks,
Chandan
Thank You,
If you like our support and products, tweet us at joomdev and let the world know about it.

To know more about products check out the their documentation.
The administrator has disabled public write access.

Error displaying the error page: [] operator not supported f 1 year 9 months ago #19305

  • Harvey2019
  • Harvey2019's Avatar
  • Offline
  • New Member
  • Posts: 15
  • Karma: 0
In order of what i did and got a 0-Error:0
Installed latest jd_atlanta template 2.2
Template Manager in Atlanta still shows Gantry Framework.
Attachments:
The administrator has disabled public write access.

Error displaying the error page: [] operator not supported f 1 year 9 months ago #19314

  • chandandeep
  • chandandeep's Avatar
  • Offline
  • Administrator
  • Posts: 4614
  • Thank you received: 652
  • Karma: 116
Hello,

You have to delete the Gantry from your site first, Then install the JD Atlanta 2.2.

Thanks,
Chandan
Thank You,
If you like our support and products, tweet us at joomdev and let the world know about it.

To know more about products check out the their documentation.
The administrator has disabled public write access.

Error displaying the error page: [] operator not supported f 1 year 9 months ago #19315

  • Harvey2019
  • Harvey2019's Avatar
  • Offline
  • New Member
  • Posts: 15
  • Karma: 0
Thank you, template now works on php 7.2 BUT when trying to edit the modules it gives me a http error 500
The administrator has disabled public write access.
  • Page:
  • 1
  • 2
Moderators: chandandeep
Time to create page: 0.466 seconds